<!--
@name = index.html
@author = Ankush Rana
@version = 1.0
@description = MAin user interface of the applicaton.
@date = 2-10-2019
-->
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- css -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="css/style.css">

    <!-- Js -->
    <script type="text/javascript" src="./js/control/index.js"></script>

    <title>FIRST PRACTICAL</title>
</head>
<!-- Body -->

<body>

    <div id="header">
        <h1><b>FIRST PRACTICAL</b></h1>
    </div>
    <hr>
    <!--This div works as main for all exercises-->
    <div class="main container">
        <div class="jumbotron ">
            <h2 class="exercise_header"><b>Select a exercice.</b></h2>
            <div class="nav_bar shadow-sm p-3 mb-5 bg-white rounded">
                <button class="btn btn-dark " onclick="firstExercise()">FA111</button>
                <button class="btn btn-dark" onclick="secondExercise()">FA112</button>
                <button class="btn btn-dark" onclick="thirdExcercise()">FA113</button>
                <button class="btn btn-dark" onclick="forthExcercise()">FA114</button>
            </div>
        </div>
        <div>
            <!--First exercise-->
            <div class="jumbotron exerciseDiv" id="FA111">
                <h3><b>Check the Prime number.</b></b></h3>
                <hr>

                <div id="playEx1">
                    <label for="inputNum_FA111">Enter a number between 0 and 10000:</label>

                    <input type="text" class="form-control" id="inputNum_FA111"><br />

                    <button type="submit" class="btn btn-primary" onclick="PlayFirstExercise()">Play</button>
                </div>

                <div id="resultEx1">
                    <p id="resultTextEx1"></p>
                    <button class="btn btn-primary" type="reset" onclick="firstExercise()">Back</button>
                </div>
            </div>


            <!--Second exercise-->

            <div class="jumbotron exerciseDiv" id="FA112">
                <h3><b>Find the secret number.</b></b></h3>
                <hr>
                <div id="playDivEx2">
                    <label for="inputNum_FA112">Find the number between 0 and 500.</label>
                    <p id="totalTermsTextEx2"></p>
                    <input type="text" class="form-control" id="inputNum_FA112"><br />
                    <button type="submit" class="btn btn-primary" id="secondExSubmit"
                        onclick="playSecondExercise()">Check</button>
                    <hr>
                    <p id="playDivTextEx2"></p>
                </div>

                <div id="resultDivEx2">
                    <p id="resultDivEx2Txt"></p>
                    <button type="submit" class="btn btn-primary" id="restart"
                        onclick="secondExercise()">Restart</button>
                </div>
            </div>

            <!--Third exercise-->

            <div class="jumbotron exerciseDiv" id="FA113">
                <h3><b>Divisors of 13.</b></b></h3>
                <hr>
                <div id="playDivEx3">
                    <label for="thirdSubmit">Calculate all divisable numbers by 13, until 2000: </label><br>
                    <button type="submit" class="btn btn-primary" id="thirdSubmit"
                        onclick="playThirdExercise()">Calculate</button>
                </div>
                <div id="resultDivEx3">
                    <button type="submit" class="btn btn-primary" id="thirdBack" onclick="thirdExcercise()">Back</button>
                    <br><br>
                    <p id="productTextEx3"></p>
                    <p id="sumTextEx3"></p>
                    <hr><br>
                    <div id="tableDivEx3"></div>

                    <button type="submit" class="btn btn-primary" id="thirdBack" onclick="thirdExcercise()">Back</button>
                </div>
            </div>

            <!--Fourth exercise-->

            <div class="jumbotron exerciseDiv" id="FA114">
                <h3><b>CALCULATER</b></h3>
                <div id="errorDivEx4"><br>
                    <p id="errorTextEx4"></p>
                </div>
                <div id="playDivEx4">
                    <!-- <label for="firstNumberEx13">First number:</label>     -->
                    <input type="text" id="firstNumberEx4" class="form-control" placeholder="First number"
                        onfocus="backInput1Ex4()"> <br>

                    <!--    <label for="operatorEx13">Operator:</label>     -->
                    <input type="text" id="operatorEx4" class="form-control" placeholder="Operator (+, -, *, /)"
                        onfocus="backInput2Ex4()"> <br>

                    <!--    <label for="secondNumberEx13">Second number:</label>    -->
                    <input type="text" id="secondNumberEx4" class="form-control" placeholder="Second number"
                        onfocus="backInput3Ex4()"> <br>

                    <!--    <label for="resultEx13">Result:</label>    -->
                    <input type="text" id="resultEx4" class="form-control" placeholder="Result" readonly><br>

                    <button type="submit" class="btn btn-primary" id="calculateEx4"onclick="playForthExercise()">Calculate</button><br>
                    <button type="submit" class="btn btn-primary" id="resetEx4"onclick="forthExcercise()">Reset</button>

                </div>
            </div>

            <!-- <div id="errors" class="jumbotron exerciseDiv">
                <p id="errorText"></p>
                <button type="reset" class="btn btn-primary">Back</button>
            </div> -->
        </div>
    </div>
</body>

</html>